For Developers

List Subscriptions

GET https://ed.link/api/v2/teams/:team_id/subscriptions

Returns all plan subscriptions for which the team is the owner or billing payer.

Permissions

Requires the subscriptions.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/subscriptions`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "7fa194a2-1982-4f91-8841-59128aa10234",
            "state": "active",
            "plan_id": "18492019-4819-4bb4-8172-401928472910",
            "start_date": "2024-01-01T00:00:00.000Z",
            "payment_terms": "net30"
        }
    ]
}